import { HTMLTextRenderer } from './text';
import { DurationRenderOptions, StyleDefaults, DurationUnit } from './data_styles';
import { RendererOptions } from './renderer_types';
import { Renderer } from './renderer';
import { RendererFactory } from './renderer_factory';
import { Cell, Field } from '../data_tree';
export declare function formatTimeUnit(value: number, unit: DurationUnit, options?: {
    numFormat?: string;
    terse?: boolean;
}): string;
export declare function getText(field: Field, value: number, options: {
    durationUnit?: string;
}): string | null;
export declare class HTMLDurationRenderer extends HTMLTextRenderer {
    readonly options: DurationRenderOptions;
    constructor(document: Document, options: DurationRenderOptions);
    getText(data: Cell): string | null;
}
export declare class DurationRendererFactory extends RendererFactory<DurationRenderOptions> {
    static readonly instance: DurationRendererFactory;
    constructor();
    create(document: Document, _styleDefaults: StyleDefaults, _rendererOptions: RendererOptions, _field: Field, options: DurationRenderOptions): Renderer;
    get rendererName(): string;
}
